## recorditnow 0.7

=== CMakeLists.txt ===
project(RecordItNow)

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set(KDE_MIN_VERSION "4.3.0")

########### install files ###############
install(FILES recorditnow.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES recorditnow.notifyrc DESTINATION ${DATA_INSTALL_DIR}/recorditnow)

add_subdirectory(src)


# translation
 MACRO(LIST_CONTAINS var value)
  SET(${var})
  FOREACH (value2 ${ARGN})
    IF (${value} STREQUAL ${value2})
      SET(${var} TRUE)
    ENDIF (${value} STREQUAL ${value2})
  ENDFOREACH (value2)
ENDMACRO(LIST_CONTAINS)

STRING(REPLACE " " ";" LINGUAS "${LINGUAS}")
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
        SET(catalogname recorditnow)
        ADD_CUSTOM_TARGET(translations ALL)
        FILE(GLOB PO_FILES po/${catalogname}*.po)
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
                LIST_CONTAINS(INSTALL_LANG ${_langCode} ${LINGUAS} )
                IF( INSTALL_LANG )
                        MESSAGE(STATUS "Install translation: "${_langCode})
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( INSTALL_LANG )
        ENDFOREACH(_poFile ${PO_FILES})
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src/libs/plugin
    ${CMAKE_SOURCE_DIR}/src/libs/recorder
    ${CMAKE_SOURCE_DIR}/src/libs/encoder
    ${CMAKE_SOURCE_DIR}/src/libs/upload
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES})

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})

macro_optional_find_package(XFixes)
macro_log_feature(XFIXES_FOUND "XFixes"
    "X.Org Xfixes library"
    "http://xorg.freedesktop.org/")

if (XFIXES_FOUND)
    add_definitions(-DXFIXES_FOUND=true)
endif()


add_subdirectory(libs)
add_subdirectory(plugins)
add_subdirectory(icons)
add_subdirectory(keymon)

macro_display_feature_log()

set(gui_SRCS
   main.cpp
   mainwindow.cpp
   recorditnowpluginmanager.cpp
   configdialog.cpp
   recordermanager.cpp
   encodermanager.cpp
   uploadmanager.cpp
   cursorwidget.cpp
   application.cpp
   mouseconfig.cpp
   zoomview.cpp
   mousebutton.cpp
   keymondialog.cpp
   frame/frame.cpp
   frame/frameinfowidget.cpp
   frame/movewidget.cpp
   timeline/timelinedock.cpp
   timeline/timeline.cpp
   timeline/timelinetopicsdialog.cpp
   timeline/topicwidget.cpp
   timeline/topic.cpp
   timeline/topictreeitem.cpp)


# GUI
kde4_add_ui_files(gui_SRCS 
    ui/toolbarwidget.ui
    ui/settings.ui
    ui/mouse.ui 
    ui/zoom.ui 
    ui/timeline.ui 
    ui/timelinetopics.ui 
    ui/timelineconfig.ui 
    ui/keymondialog.ui)
kde4_add_kcfg_files(gui_SRCS recorditnow.kcfgc)
kde4_add_executable(recorditnow ${gui_SRCS})
target_link_libraries(recorditnow ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBS} recorditnow_recorder recorditnow_encoder recorditnow_uploader recorditnow_snoop ${X11_Xcursor_LIB})
install(TARGETS recorditnow ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############
install(FILES recorditnow.kcfg  DESTINATION  ${KCFG_INSTALL_DIR})
install(FILES recorditnowui.rc  DESTINATION  ${DATA_INSTALL_DIR}/recorditnow)

=== src/keymon/CMakeLists.txt ===
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})


set(SRCS
    event.cpp
    manager.cpp
    device.cpp)

#SNoop
kde4_add_library(recorditnow_snoop SHARED ${SRCS})
target_link_libraries(recorditnow_snoop ${KDE4_KDECORE_LIBS})
install(TARGETS recorditnow_snoop ${INSTALL_TARGETS_DEFAULT_ARGS})

if(${KDE_VERSION} VERSION_GREATER "4.3.80")
    #helper
    set(HELPER_SRCS
        device.cpp
        event.cpp
        devicehelper.cpp)

    kde4_add_executable(recorditnow_helper ${HELPER_SRCS})
    target_link_libraries(recorditnow_helper ${KDE4_KDECORE_LIBS})
    install(TARGETS recorditnow_helper DESTINATION ${LIBEXEC_INSTALL_DIR})
    kde4_install_auth_helper_files(recorditnow_helper org.kde.recorditnow.helper root)
    kde4_install_auth_actions(org.kde.recorditnow.helper helper.actions)
endif()

=== src/plugins/CMakeLists.txt ===
add_subdirectory(recorder)
add_subdirectory(encoder)
add_subdirectory(upload)

=== src/libs/plugin/CMakeLists.txt ===
set(SRCS
   recorditnowplugin.cpp)

kde4_add_library(recorditnow_plugin SHARED ${SRCS})
target_link_libraries(recorditnow_plugin ${KDE4_KDECORE_LIBS})
install(TARGETS recorditnow_plugin ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/libs/upload/CMakeLists.txt ===
set(SRCS
   abstractuploader.cpp
   addaccountdialog.cpp)

kde4_add_ui_files(SRCS ui/addaccount.ui)
kde4_add_library(recorditnow_uploader SHARED ${SRCS})
target_link_libraries(recorditnow_uploader ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} recorditnow_plugin)
install(TARGETS recorditnow_uploader ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES recorditnow_uploader.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== src/plugins/encoder/CMakeLists.txt ===

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})

macro_optional_find_package(Mencoder)
macro_log_feature(MENCODER_FOUND "mencoder"
    "MEncoder is a free command line video decoding, encoding and filtering tool."
    "http://www.mplayerhq.hu/design7/news.html"
    FALSE
    ""
    "")

macro_optional_find_package(ffmpeg)
macro_log_feature(FFMPEG_FOUND "ffmpeg"                                                                      
    "Complete solution to record, convert and stream audio and video. Includes libavcodec."
    "http://ffmpeg.org/"                                                                                       
    FALSE                     
    ""                                                                                                      
    "")                                                                                                        


if(MENCODER_FOUND)
   add_subdirectory(mencoder)
endif()

if(FFMPEG_FOUND)
   add_subdirectory(ffmpeg)
endif()

=== src/plugins/recorder/CMakeLists.txt ===
add_subdirectory(recordmydesktop)
add_subdirectory(screenshot)

=== src/plugins/upload/CMakeLists.txt ===

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})

add_subdirectory(lib)
add_subdirectory(youtube)
add_subdirectory(blip)

=== src/plugins/upload/blip/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src/plugins/upload
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES})

#add_subdirectory(lib)
add_subdirectory(icons)

set(SRCS
    blipuploader.cpp)


kde4_add_ui_files(SRCS ui/blip.ui)
kde4_add_kcfg_files(SRCS recorditnow_blip.kcfgc)
kde4_add_plugin(recorditnow_blip ${SRCS})
target_link_libraries(recorditnow_blip ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} recorditnow_uploader recorditnow_plugin ${KDE4_KIO_LIBS} kyoublip)
install(TARGETS recorditnow_blip DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES recorditnow_blip.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES recorditnow_blip.kcfg DESTINATION  ${KCFG_INSTALL_DIR})

=== src/plugins/upload/lib/CMakeLists.txt ===

set(SRCS
    video.cpp
    infojob.cpp
    service.cpp
    youtubeservice.cpp
    youtubevideo.cpp
    blipservice.cpp
    blipvideo.cpp)

set(HEADERS service.h
    video.h
    youtubeservice.h 
    youtubevideo.h
    blipservice.h
    blipvideo.h)


kde4_add_library(kyoublip SHARED ${SRCS})
target_link_libraries(kyoublip ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS})
install(TARGETS kyoublip DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})     
install(FILES ${HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/kyoublip COMPONENT Devel)

=== src/plugins/upload/youtube/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src/plugins/upload
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES})

add_subdirectory(icons)

set(SRCS
    youtubeuploader.cpp)


kde4_add_ui_files(SRCS ui/youtube.ui)
kde4_add_kcfg_files(SRCS recorditnow_youtube.kcfgc)
kde4_add_plugin(recorditnow_youtube ${SRCS})
target_link_libraries(recorditnow_youtube ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} recorditnow_uploader recorditnow_plugin ${KDE4_KIO_LIBS} kyoublip)
install(TARGETS recorditnow_youtube DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES recorditnow_youtube.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES recorditnow_youtube.kcfg  DESTINATION  ${KCFG_INSTALL_DIR})

=== debian/changelog ===
recorditnow (0.7-0ubuntu5) maverick; urgency=low

  * Fix FTBFS: 'KDebug::operator()(const char*)' is private. (LP: #653973)
    - Add 01_fix_ftbfs_kwarning_call.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 03 Oct 2010 22:11:07 +0200

recorditnow (0.7-0ubuntu4) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Call ldconfig in postinst.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 18 May 2010 21:47:17 +0200

recorditnow (0.7-0ubuntu3) lucid; urgency=low

  * Build-depend on libxfixes-dev instead of the non-exsitant libxfixes

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 Apr 2010 12:20:57 -0400

recorditnow (0.7-0ubuntu2) lucid; urgency=low

  * Add build-depend on ffpmeg and mencoder (LP: #533150)
  * Add build-depend on libxfixes-dev for cursor-in-screenshot support
  * Add build-depend on pkg-config so that XFixes detection works
  * Bump Standards-Version to 3.8.4, no changes

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 17 Mar 2010 12:11:55 -0400

recorditnow (0.7-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * Using source format 3.0
  * Using DH 7 rules now
  * Dropped cdbs. Specified debhelper and pkg-kde-tools minimum versions
  * Added libxext-dev and libxcursor-dev to build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Sun, 27 Dec 2009 00:45:15 +0100

recorditnow (0.4-0ubuntu1) lucid; urgency=low

  * Initial release (Closes LP: #488817).

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 26 Nov 2009 16:50:53 +0100

=== debian/control ===
Source: recorditnow
Section: kde
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michał Zając <michal.zajac@gmail.com>
Build-Depends: debhelper (>= 7.3.16),
               pkg-kde-tools (>= 0.5.0),
               pkg-config,
               cmake,
               kdelibs5-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxfixes-dev,
               ffmpeg,
               mencoder
Standards-Version: 3.8.4
Homepage: http://kde-apps.org/content/show.php/RecordItNow?content=114610

Package: recorditnow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, recordmydesktop, mencoder, ffmpeg,
 libxfixes3, libpolkit-qt-1-0
Description: desktop recorder for KDE
 RecordItNow is a plugin-based desktop recorder for KDE. Currently it supports
 recordmydesktop for recording and ffmpeg and mencoder for encoding.

## recorditnow 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,34 @@
 project(RecordItNow)
+
+
+set(BUILD_WITH_JOSCHY true)
+if (BUILD_WITH_JOSCHY)
+    add_subdirectory(joschy-snapshot-23-02-10)
+endif (BUILD_WITH_JOSCHY)
 
 find_package(KDE4 REQUIRED)
 include (KDE4Defaults)
 
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
-set(KDE_MIN_VERSION "4.3.0")
+
+set(KDE_MIN_VERSION "4.4.0")
 
 ########### install files ###############
 install(FILES recorditnow.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES recorditnow.notifyrc DESTINATION ${DATA_INSTALL_DIR}/recorditnow)
+
+if (NOT BUILD_WITH_JOSCHY)
+    find_package(JoschyCore REQUIRED)
+else (NOT BUILD_WITH_JOSCHY)
+    set (JOSCHY_SNAPSHOT_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/joschy-snapshot-23-02-10/joschycore/)
+    set (JOSCHY_SNAPSHOT_LIBRARIES joschycore)
+endif (NOT BUILD_WITH_JOSCHY)
+
+
+find_package(RecordMyDesktop REQUIRED)
 
 add_subdirectory(src)

=== joschy-snapshot-23-02-10/CMakeLists.txt ===
project(Joschy)

cmake_minimum_required(VERSION 2.6)


# vars
set(BUILD_BLIP true)
set(BUILD_YOUTUBE true)
set(BUILD_QNETWORKLAYER true)
set(BUILD_KNETWORKLAYER false)

if (WIN32)
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-enable-auto-image-base -Wl,-enable-auto-import")
endif (WIN32)


# find Qt4
find_package(Qt4 REQUIRED)

# definitions
add_definitions(${QT_DEFINITIONS} -DJOSCHY_LIBRARY)

# build with core
set(BUILD_WITH_JOSCHYCORE true)

# core
add_subdirectory(joschycore)

set(JOSCHYCORE_PLUGIN_INSTALL_DIR ${JOSCHY_PLUGIN_INSTALL_DIR})
set(JOSCHYCORE_LIBRARIES joschycore)
set(JOSCHYCORE_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/joschycore/)

if (BUILD_KNETWORKLAYER)
    find_package(KDE4)
endif (BUILD_KNETWORKLAYER)


if (BUILD_QNETWORKLAYER)
    add_subdirectory(QNetworkLayer)
endif (BUILD_QNETWORKLAYER)

if (KDE4_FOUND)
    message(STATUS "KNetworkLayer needs an update...")
    #add_subdirectory(KNetworkLayer)
endif(KDE4_FOUND)

add_subdirectory(Provider)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src/libs/plugin
    ${CMAKE_SOURCE_DIR}/src/libs/recorder
    ${CMAKE_SOURCE_DIR}/src/libs/encoder
    ${CMAKE_SOURCE_DIR}/src/libs/upload
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES})

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})


if (BUILD_WITH_JOSCHY)
    include_directories(${JOSCHY_SNAPSHOT_INCLUDE_DIR})
endif (BUILD_WITH_JOSCHY)

macro_optional_find_package(XFixes)
macro_log_feature(XFIXES_FOUND "XFixes"
    "X.Org Xfixes library"
    "http://xorg.freedesktop.org/")

if (XFIXES_FOUND)
    add_definitions(-DXFIXES_FOUND=true)
endif()


add_subdirectory(libs)
add_subdirectory(plugins)
add_subdirectory(icons)
add_subdirectory(keymon)

macro_display_feature_log()


set(gui_SRCS
   main.cpp
   mainwindow.cpp
   recorditnowpluginmanager.cpp
   recordermanager.cpp
   encodermanager.cpp
   cursorwidget.cpp
   application.cpp
   keymonmanager.cpp
   devicesearchdialog.cpp
   checkicon.cpp

   zoom/zoomview.cpp
   zoom/zoomdock.cpp

   frame/frame.cpp
   frame/frameinfowidget.cpp
   frame/movewidget.cpp

   timeline/timelinedock.cpp
   timeline/timeline.cpp
   timeline/timelinetopicsdialog.cpp
   timeline/topicwidget.cpp
   timeline/topic.cpp
   timeline/topictreeitem.cpp

   upload/pluginpage.cpp
   upload/uploadwizard.cpp
   upload/videopage.cpp
   upload/accountpage.cpp
   upload/termspage.cpp
   upload/uploadpage.cpp

   keyboard/keyboarddock.cpp
   keyboard/keywidget.cpp
   keyboard/flowlayout.cpp
   keyboard/keyboardkey.cpp
   keyboard/proxylayout.cpp

   config/configdialog.cpp
   config/frameconfig.cpp
   config/keyboardconfig.cpp
   config/keyboardwizard.cpp
   config/keyboardkeypage.cpp
   config/keyboardkeyiconpage.cpp
   config/mouseconfig.cpp
   config/mousebutton.cpp
   config/configpage.cpp
   config/shortcutsconfig.cpp
   config/zoomconfig.cpp
   config/timelineconfig.cpp
   config/pluginconfig.cpp)


# GUI
kde4_add_ui_files(gui_SRCS 
    ui/toolbarwidget.ui
    ui/settings.ui
    ui/mouseconfig.ui 
    ui/zoom.ui 
    ui/timeline.ui 
    ui/timelinetopics.ui 
    ui/timelineconfig.ui 
    ui/frameconfig.ui
    upload/ui/pluginpage.ui
    upload/ui/videopage.ui
    upload/ui/uploadpage.ui
    upload/ui/termspage.ui
    upload/ui/accountpage.ui
    ui/keyboarddock.ui
    ui/keyboardconfig.ui
    ui/keyboardkeypage.ui
    ui/keyboardkeyiconpage.ui
    ui/keyboarddocktitlewidget.ui
    ui/devicesearchdialog.ui
    ui/shortcutsconfig.ui
    ui/pluginconfig.ui
    ui/timelinedocktitlewidget.ui
    ui/zoomdock.ui
    ui/zoomdocktitlewidget.ui)


kde4_add_kcfg_files(gui_SRCS recorditnow.kcfgc)
kde4_add_executable(recorditnow ${gui_SRCS})
target_link_libraries(recorditnow ${KDE4_KDEUI_LIBS}
                                  ${KDE4_KUTILS_LIBS}
                                  ${KDE4_KIO_LIBS}
                                  recorditnow_recorder
                                  recorditnow_encoder
                                  recorditnow_keymon
                                  ${X11_Xcursor_LIB})

if (BUILD_WITH_JOSCHY)
    target_link_libraries(recorditnow ${JOSCHY_SNAPSHOT_LIBRARIES})
else (BUILD_WITH_JOSCHY)
    target_link_libraries(recorditnow ${JOSCHYCORE_LIBRARIES})
endif (BUILD_WITH_JOSCHY)

install(TARGETS recorditnow ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(keyboard)

########### install files ###############
install(FILES recorditnow.kcfg  DESTINATION  ${KCFG_INSTALL_DIR})
install(FILES recorditnowui.rc  DESTINATION  ${DATA_INSTALL_DIR}/recorditnow)

=== joschy-snapshot-23-02-10/Provider/CMakeLists.txt ===
if (BUILD_YOUTUBE)
    add_subdirectory(YouTube)
endif (BUILD_YOUTUBE)

if (BUILD_BLIP)
    add_subdirectory(Blip)
endif (BUILD_BLIP)

#add_subdirectory(Sevenload)
#add_subdirectory(Vimeo)

=== joschy-snapshot-23-02-10/QNetworkLayer/CMakeLists.txt ===
project(QNetworkLayer)                                              

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/../cmake/modules)


if (WIN32 AND NOT BUID_WITH_JOSCHYCORE)
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-enable-auto-image-base -Wl,-enable-auto-import")
endif (WIN32 AND NOT BUID_WITH_JOSCHYCORE)


# find Qt4
if (NOT BUILD_WITH_JOSCHYCORE)
    find_package(Qt4 REQUIRED)
endif (NOT BUILD_WITH_JOSCHYCORE)
set(QT_DONT_USE_QTGUI true)

# find JoschyCore
if (NOT BUILD_WITH_JOSCHYCORE)
    find_package(JoschyCore REQUIRED)
endif(NOT BUILD_WITH_JOSCHYCORE)

# cflags
if (NOT WIN32)
    set(CMAKE_CXX_FLAGS                  "${CMAKE_CXX_FLAGS} -Wall -Wextra")
    set(CMAKE_CXX_FLAGS_RELEASE          "-O3 ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_RELWITHDEBUGINFO "-g -O3 ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_DEBUG            "-g -ggdb ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_DEBUGFULL        "-g3 -ffast-math ${CMAKE_CXX_FLAGS_DEBUG}")
endif(NOT WIN32)


# definitions
add_definitions(${QT_DEFINITIONS} -DJOSCHY_LIBRARY)


add_subdirectory(src)

=== joschy-snapshot-23-02-10/joschycore/CMakeLists.txt ===
project(joschycore)

cmake_minimum_required(VERSION 2.6)


if (WIN32 AND NOT BUID_WITH_JOSCHYCORE)
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-enable-auto-image-base -Wl,-enable-auto-import")
endif (WIN32 AND NOT BUID_WITH_JOSCHYCORE)


# find Qt4
if (NOT BUILD_WITH_JOSCHYCORE)
    find_package(Qt4 REQUIRED)
endif (NOT BUILD_WITH_JOSCHYCORE)

set(QT_DONT_USE_QTGUI true)
include(${QT_USE_FILE})

# 64 bit?
if (NOT WIN32)
    if(CMAKE_SIZEOF_VOID_P EQUAL 4)
        SET(LIB_SUFFIX "")
    else(CMAKE_SIZEOF_VOID_P EQUAL 4)
        SET(LIB_SUFFIX 64)
    endif(CMAKE_SIZEOF_VOID_P EQUAL 4)
endif(NOT WIN32)

# cflags
if (NOT WIN32)
    set(CMAKE_CXX_FLAGS                  "${CMAKE_CXX_FLAGS} -Wall -Wextra")
    set(CMAKE_CXX_FLAGS_RELEASE          "-O3 ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_RELWITHDEBUGINFO "-g -O3 ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_DEBUG            "-g -ggdb ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_DEBUGFULL        "-g3 -ffast-math ${CMAKE_CXX_FLAGS_DEBUG}")
endif(NOT WIN32)

# paths
set(JOSCHY_LIBRARY_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE FILEPATH "Install path for libs")
set(JOSCHY_PLUGIN_INSTALL_DIR ${JOSCHY_LIBRARY_INSTALL_DIR}/joschy CACHE FILEPATH "Install path for plugins")
set(JOSCHY_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include/joschycore)

# definitions
add_definitions(${QT_DEFINITIONS} -DJOSCHY_LIBRARY -DJOSCHY_PLUGINDIR="${JOSCHY_PLUGIN_INSTALL_DIR}")


# src
add_subdirectory(joschycore)


message(STATUS "----------------------")
message(STATUS "LIBRARY_INSTALL_DIR=" ${JOSCHY_LIBRARY_INSTALL_DIR})
message(STATUS "PLUGIN_INSTALL_DIR=" ${JOSCHY_PLUGIN_INSTALL_DIR})
message(STATUS "INCLUDE_INSTALL_DIR=" ${JOSCHY_INCLUDE_INSTALL_DIR})
message(STATUS "----------------------")

=== src/keyboard/CMakeLists.txt ===
add_subdirectory(themes)

=== src/keymon/CMakeLists.txt ===
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})

set(SRCS
    event.cpp
    manager.cpp
    deviceinfo.cpp
    device.cpp)

# KeyMon
kde4_add_library(recorditnow_keymon SHARED ${SRCS})
target_link_libraries(recorditnow_keymon ${KDE4_KDECORE_LIBS} ${KDE4_SOLID_LIBS})
install(TARGETS recorditnow_keymon ${INSTALL_TARGETS_DEFAULT_ARGS})


set(KAUTH_HELPER_BACKEND_NAME "DBUS")
# helper
set(HELPER_SRCS
    devicehelper.cpp)

kde4_add_executable(recorditnow_helper ${HELPER_SRCS})
target_link_libraries(recorditnow_helper ${KDE4_KDECORE_LIBS} recorditnow_keymon)
install(TARGETS recorditnow_helper DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_install_auth_helper_files(recorditnow_helper org.kde.recorditnow.helper root)
kde4_install_auth_actions(org.kde.recorditnow.helper helper.actions)

=== src/libs/CMakeLists.txt ===
add_subdirectory(plugin)
add_subdirectory(recorder)
add_subdirectory(encoder)
add_subdirectory(upload)

=== src/plugins/CMakeLists.txt ===
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})


macro_optional_find_package(ffmpeg)
macro_log_feature(FFMPEG_FOUND "ffmpeg"
    "Complete solution to record, convert and stream audio and video. Includes libavcodec."
    "http://ffmpeg.org/"
    FALSE
    ""
    "")


add_subdirectory(recorder)
add_subdirectory(encoder)

=== joschy-snapshot-23-02-10/Provider/Blip/CMakeLists.txt ===
project(BlipProvider)                                              

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/../../cmake/modules)


if (WIN32 AND NOT BUID_WITH_JOSCHYCORE)
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-enable-auto-image-base -Wl,-enable-auto-import")
endif (WIN32 AND NOT BUID_WITH_JOSCHYCORE)


# find Qt4
if (NOT BUILD_WITH_JOSCHYCORE)
    find_package(Qt4 REQUIRED)
endif (NOT BUILD_WITH_JOSCHYCORE)
set(QT_DONT_USE_QTGUI true)

# find JoschyCore
if (NOT BUILD_WITH_JOSCHYCORE)
    find_package(JoschyCore REQUIRED)
endif (NOT BUILD_WITH_JOSCHYCORE)

# cflags
if (NOT WIN32)
    set(CMAKE_CXX_FLAGS                  "${CMAKE_CXX_FLAGS} -Wall -Wextra")
    set(CMAKE_CXX_FLAGS_RELEASE          "-O3 ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_RELWITHDEBUGINFO "-g -O3 ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_DEBUG            "-g -ggdb ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_DEBUGFULL        "-g3 -ffast-math ${CMAKE_CXX_FLAGS_DEBUG}")
endif(NOT WIN32)


# definitions
add_definitions(${QT_DEFINITIONS} -DJOSCHY_LIBRARY)


add_subdirectory(src)

=== joschy-snapshot-23-02-10/Provider/YouTube/CMakeLists.txt ===
project(YouTubeProvider)                                              

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/../../cmake/modules)

if (WIN32 AND NOT BUID_WITH_JOSCHYCORE)
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-enable-auto-image-base -Wl,-enable-auto-import")
endif (WIN32 AND NOT BUID_WITH_JOSCHYCORE)

# find Qt4
if (NOT BUILD_WITH_JOSCHYCORE)
    find_package(Qt4 REQUIRED)
endif (NOT BUILD_WITH_JOSCHYCORE)
set(QT_DONT_USE_QTGUI true)

# find JoschyCore
if (NOT BUILD_WITH_JOSCHYCORE)
    find_package(JoschyCore REQUIRED)
endif (NOT BUILD_WITH_JOSCHYCORE)


# cflags
if (NOT WIN32)
    set(CMAKE_CXX_FLAGS                  "${CMAKE_CXX_FLAGS} -Wall -Wextra")
    set(CMAKE_CXX_FLAGS_RELEASE          "-O3 ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_RELWITHDEBUGINFO "-g -O3 ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_DEBUG            "-g -ggdb ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_DEBUGFULL        "-g3 -ffast-math ${CMAKE_CXX_FLAGS_DEBUG}")
endif(NOT WIN32)


# definitions
add_definitions(${QT_DEFINITIONS} -DJOSCHY_LIBRARY)


add_subdirectory(src)

=== debian/changelog ===
recorditnow (0.8.1-0ubuntu2) trusty; urgency=low

  * Port from ffmpeg to avconv.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 24 Nov 2013 14:02:40 +0000

recorditnow (0.8.1-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #681270)
    - Update debian/copyright.
  * Build-depend on recordmydesktop.
  * Add a watch file.
  * Drop 01_fix_ftbfs_kwarning_call.diff, fixed upstream.
  * Add 01_joschy_install_to_usr_lib.diff.
  * Add 02_fix_ftbfs_no-add-needed.diff.
  * Add 03_dont_install_header_files.diff.
  * Replace dependency on libpolkit-qt-1-0 with policykit-1.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 09 Jan 2011 14:54:01 +0100

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                libxcursor-dev,
                libxext-dev,
                libxfixes-dev,
-               ffmpeg,
-               mencoder
-Standards-Version: 3.8.4
+               libav-tools,
+               mencoder,
+               recordmydesktop
+Standards-Version: 3.9.1
 Homepage: http://kde-apps.org/content/show.php/RecordItNow?content=114610
 
 Package: recorditnow
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, recordmydesktop, mencoder, ffmpeg,
- libxfixes3, libpolkit-qt-1-0
+Depends: ${shlibs:Depends}, ${misc:Depends}, policykit-1, recordmydesktop, mencoder, libav-tools
 Description: desktop recorder for KDE
  RecordItNow is a plugin-based desktop recorder for KDE. Currently it supports
  recordmydesktop for recording and ffmpeg and mencoder for encoding.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde

override_dh_auto_install:
	dh_auto_install -Skde
	rm -rf debian/tmp/usr/include

=== debian/watch ===
version=3
http://sf.net/recorditnow/recorditnow-([\d\.]+)\.tar\.(?:gz|bz2)
